# FunTakeshisMushroomGem


ごく少数の文字のみが表示できる縦書き日本語レターアスキーアートジェネレーターです。
"い""け"”し””た””の”しか表示できないので、これらの文字を用いて素敵な文章をつくってみてください。
※この文字数は現開発段階のものです。将来的には文字数を増やすかもしれません。
*また、アスキーアートがより美しく見やすく素晴らしいものに予告なく変更するかもしれません。

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'fun_takeshis_mushroom_gem'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install fun_takeshis_mushroom_gem

## Usage

なんらかの方法でインストールする。

コンソール上で
```
fun_takeshis_mushroom
```
と打ち込む。

すると入力を受け付けるようになるので、"い""け"”し””た””の”いづれか好みの文字を入力する。
"い""け"”し””た””の”以外の文字は表示されません。

縦書きのアスキーアート文字がコンソール上に表示される

例）
```
たけし
●●●○○○●●●●●●●●●●
○○○○○○○○○○○○○○●●
○○○○○○○○○○○○○○●●
●●○○○●●●●●●●●●●●
●●○○○●●●●●●●●●●●
●●○○○●●○○○○○○○●●
●●○○○●●○○○○○○○●●
●○○○●●●●●●●●●●●●
●○○○●●○○○○○○○●●●
●○○○●●○○○○○○○●●●
●●●●●●●●●●●●●●●●
●●○○○●●●●●●●●●●●
●○○○●●●●●●●○○○●●
●○○○●●●○○○○○○○○○
●○○○●●●○○○○○○○○○
●○○○●●●●●●●○○○●●
●○○○●●●●●●●○○○●●
●○○○●●●●●●●○○○●●
●○○○●●●●●●●○○○●●
●●○○○●○○●●●○○○●●
●●○○○○○●●●●●●●●●
●●●●●●●●●●●●●●●●
●●●●●●●●●●●●●●●●
●●●●●●●●●●●●●●●●
●●●○○○●●●●●●●●●●
●●●○○○●●●●●●●●●●
●●●○○○●●●●●●●●●●
●●●○○○●●●●●●●●●●
●●●○○○●●●●●●●●●●
●●●●○○○●●●○○○●●●
●●●●○○○○●●○○○●●●
●●●●●●○○○○○○●●●●
●●●●●●●●●●●●●●●●

```

以上です。
あなたのコンソールがきっと素敵になることでしょう。

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/fun_takeshis_mushroom_gem. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
